body {
    background-color: #BFBFBF;
}

table {
    font-family: Arial, Helvetica, sans-serif;
    border-collapse: collapse;
    border: 2px solid black;
    width: 100%;
    overflow-x: auto; /* Añadir desplazamiento horizontal en dispositivos pequeños */
}

h3 {
    font-family: Arial, Helvetica, sans-serif;
    font-size: large;
    text-align: center;
    margin-bottom: 10px;
}

main {
    margin: 40px auto 0 auto;
    max-width: 600px;
    overflow-x: auto; /* Añadir desplazamiento horizontal en dispositivos pequeños */
}

td, th {
    border: 1px solid #1a1919;
    text-align: left;
    padding: 8px;
}

/* Agrega estilos personalizados a la paginación */
.pagination {
    justify-content: center; /* Centra los elementos de la paginación */
    margin-top: 20px;
}

.pagination a {
    color: #007bff; /* Color del enlace de la paginación */
    padding: 8px 16px; /* Espaciado interno del enlace */
    text-decoration: none; /* Elimina el subrayado del enlace */
    transition: background-color 0.3s;
}

.pagination a:hover {
    background-color: #f8f9fa; /* Cambia el color de fondo al pasar el ratón sobre el enlace */
}

.pagination .active a {
    background-color: #007bff; /* Color de fondo del enlace activo */
    color: #fff; /* Color del texto del enlace activo */
    border-color: #007bff; /* Color del borde del enlace activo */
}

.pagination .disabled a {
    pointer-events: none; /* Desactiva los enlaces de paginación deshabilitados */
    color: #6c757d; /* Color del texto del enlace deshabilitado */
}

/* Opcional: Añade márgenes y bordes a la paginación */
.pagination {
    margin: 20px 0;
}

.pagination li {
    margin: 0 5px;
}

/* Opcional: Personaliza la apariencia del contenedor de la paginación en dispositivos móviles */
@media (max-width: 767.98px) {
    .pagination {
        flex-wrap: wrap;
    }
}


@media screen and (max-width: 600px) {
    table {
        overflow-x: auto; /* Añadir desplazamiento horizontal en dispositivos pequeños */
    }

    td, th {
        font-size: smaller; /* Reducir el tamaño del texto en dispositivos pequeños si es necesario */
    }
}
